Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## writer2latex.office
Class BibMark

    java.lang.Object
      writer2latex.office.BibMark

    public final class BibMark

extends java.lang.Object

This class represents a single bibliography-mark.

Field Summary
`static int` | `ADDRESS`
`static int` | `ANNOTE`
`static int` | `AUTHOR`
`static int` | `BOOKTITLE`
`static int` | `CHAPTER`
`static int` | `CUSTOM1`
`static int` | `CUSTOM2`
`static int` | `CUSTOM3`
`static int` | `CUSTOM4`
`static int` | `CUSTOM5`
`static int` | `EDITION`
`static int` | `EDITOR`
`static int` | `FIELD_COUNT`
`private java.lang.String[]` | `fields`
`static int` | `HOWPUBLISHED`
`static int` | `INSTITUTION`
`static int` | `ISBN`
`static int` | `JOURNAL`
`static int` | `MONTH`
`static int` | `NOTE`
`static int` | `NUMBER`
`static int` | `ORGANIZATIONS`
`static int` | `PAGES`
`static int` | `PUBLISHER`
`static int` | `REPORT_TYPE`
`static int` | `SCHOOL`
`private java.lang.String` | `sEntryType`
`static int` | `SERIES`
`private java.lang.String` | `sIdentifier`
`static int` | `TITLE`
`static int` | `URL`
`static int` | `VOLUME`
`static int` | `YEAR`

Constructor Summary
`BibMark(org.w3c.dom.Node node)` Create a new BibMark from a text:bibliography-mark node.
`BibMark(java.lang.String sIdentifier, java.lang.String sEntryType)` Create a new BibMark from scratch.

Method Summary
`java.lang.String` | `getEntryType()` Get the entry type.
`java.lang.String` | `getField(int nField)` Return a specific field.
`java.lang.String` | `getIdentifier()` Get the identifier.
`void` | `setField(int nField, java.lang.String sValue)` Set a specific field.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ADDRESS

    public static final int ADDRESS

See Also:
  Constant Field Values

### ANNOTE

    public static final int ANNOTE

See Also:
  Constant Field Values

### AUTHOR

    public static final int AUTHOR

See Also:
  Constant Field Values

### BOOKTITLE

    public static final int BOOKTITLE

See Also:
  Constant Field Values

### CHAPTER

    public static final int CHAPTER

See Also:
  Constant Field Values

### EDITION

    public static final int EDITION

See Also:
  Constant Field Values

### EDITOR

    public static final int EDITOR

See Also:
  Constant Field Values

### HOWPUBLISHED

    public static final int HOWPUBLISHED

See Also:
  Constant Field Values

### INSTITUTION

    public static final int INSTITUTION

See Also:
  Constant Field Values

### JOURNAL

    public static final int JOURNAL

See Also:
  Constant Field Values

### MONTH

    public static final int MONTH

See Also:
  Constant Field Values

### NOTE

    public static final int NOTE

See Also:
  Constant Field Values

### NUMBER

    public static final int NUMBER

See Also:
  Constant Field Values

### ORGANIZATIONS

    public static final int ORGANIZATIONS

See Also:
  Constant Field Values

### PAGES

    public static final int PAGES

See Also:
  Constant Field Values

### PUBLISHER

    public static final int PUBLISHER

See Also:
  Constant Field Values

### SCHOOL

    public static final int SCHOOL

See Also:
  Constant Field Values

### SERIES

    public static final int SERIES

See Also:
  Constant Field Values

### TITLE

    public static final int TITLE

See Also:
  Constant Field Values

### REPORT_TYPE

    public static final int REPORT_TYPE

See Also:
  Constant Field Values

### VOLUME

    public static final int VOLUME

See Also:
  Constant Field Values

### YEAR

    public static final int YEAR

See Also:
  Constant Field Values

### URL

    public static final int URL

See Also:
  Constant Field Values

### CUSTOM1

    public static final int CUSTOM1

See Also:
  Constant Field Values

### CUSTOM2

    public static final int CUSTOM2

See Also:
  Constant Field Values

### CUSTOM3

    public static final int CUSTOM3

See Also:
  Constant Field Values

### CUSTOM4

    public static final int CUSTOM4

See Also:
  Constant Field Values

### CUSTOM5

    public static final int CUSTOM5

See Also:
  Constant Field Values

### ISBN

    public static final int ISBN

See Also:
  Constant Field Values

### FIELD_COUNT

    public static final int FIELD_COUNT

See Also:
  Constant Field Values

### sIdentifier

    private java.lang.String sIdentifier

### sEntryType

    private java.lang.String sEntryType

### fields

    private java.lang.String[] fields

Constructor Detail

### BibMark

    public BibMark(java.lang.String sIdentifier,
                   java.lang.String sEntryType)

  Create a new BibMark from scratch.

### BibMark

    public BibMark(org.w3c.dom.Node node)

  Create a new BibMark from a text:bibliography-mark node.

Method Detail

### getIdentifier

    public java.lang.String getIdentifier()

  Get the identifier.

### getEntryType

    public java.lang.String getEntryType()

  Get the entry type.

### setField

    public void setField(int nField,
                         java.lang.String sValue)

  Set a specific field.

### getField

    public java.lang.String getField(int nField)

  Return a specific field.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD